Last Comment Bug 871266 - properly close customize dialog in test_customize_toolbar_doesnt_double_get_mail_menu (TEST-UNEXPECTED-FAIL | test-message-filters.js::test_customize_toolbar_doesnt_double_get_mail_menu)
: properly close customize dialog in test_customize_toolbar_doesnt_double_get_m...
Status: RESOLVED FIXED
: intermittent-failure
Product: Thunderbird
Classification: Client Software
Component: Toolbars and Tabs (show other bugs)
: Trunk
: All All
: -- normal (vote)
: Thunderbird 24.0
Assigned To: :aceman
:
Mentors:
Depends on: 520457 534448 889752
Blocks: 876268
  Show dependency treegraph
 
Reported: 2013-05-12 06:49 PDT by :aceman
Modified: 2013-08-12 03:13 PDT (History)
7 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
-


Attachments
WIP patch (2.83 KB, patch)
2013-05-12 07:00 PDT, :aceman
no flags Details | Diff | Review
patch v2 (4.36 KB, patch)
2013-05-12 12:24 PDT, :aceman
no flags Details | Diff | Review
patch v3 (6.37 KB, patch)
2013-05-26 06:17 PDT, :aceman
mconley: review+
Details | Diff | Review
fix for OS X (1.89 KB, patch)
2013-06-10 12:24 PDT, :aceman
no flags Details | Diff | Review
Screenshot of an OS X "Sheet" (262.13 KB, image/png)
2013-06-11 08:17 PDT, Josiah Bruner [:JosiahOne] (needinfo for responses)
no flags Details
fix for OS X v2 (4.81 KB, patch)
2013-06-11 11:01 PDT, :aceman
no flags Details | Diff | Review
fix for OS X v3 (6.12 KB, patch)
2013-06-16 12:53 PDT, :aceman
no flags Details | Diff | Review
fix for OS X v4 (6.13 KB, patch)
2013-06-16 14:32 PDT, :aceman
no flags Details | Diff | Review
fix for OS X v5 (6.38 KB, patch)
2013-06-17 13:46 PDT, :aceman
no flags Details | Diff | Review
fix for OS X v6 (7.06 KB, patch)
2013-07-09 15:32 PDT, :aceman
standard8: feedback+
Details | Diff | Review
fix for OS X v7 (7.85 KB, patch)
2013-07-25 15:04 PDT, :aceman
no flags Details | Diff | Review
[backed out] fix for OS X v8 (7.95 KB, patch)
2013-07-26 12:43 PDT, :aceman
standard8: review+
Details | Diff | Review

Description :aceman 2013-05-12 06:49:07 PDT
While working on bu 828587 I noticed the Customize dialog is not being closed in test_customize_toolbar_doesnt_double_get_mail_menu(). So it is not sure that test is actually testing anything as we actually should be testing code that runs after the customize dialog is closed. So I rework that test a bit.
Comment 1 :aceman 2013-05-12 07:00:53 PDT
Created attachment 748537 [details] [diff] [review]
WIP patch
Comment 2 :aceman 2013-05-12 08:06:46 PDT
And it seems the test actually should have been failing as bug 520457 is happening again (TB 17 - 23 on linux).
Comment 3 :aceman 2013-05-12 12:24:30 PDT
Created attachment 748576 [details] [diff] [review]
patch v2

This is behaving strangely, as if the popup lost the XBL binding and does not have the _teardown() for some time after the customize dialog is closed.
So not sure what is going on here...

The patch is to be applied on top of bug 828587.
Comment 4 Mike Conley (:mconley) - (Needinfo me!) 2013-05-25 15:57:30 PDT
Comment on attachment 748576 [details] [diff] [review]
patch v2

So, why is this test failure suddenly being exposed with the patch from bug 828587? That's not clear to me so far.

I *think* the reason that the binding isn't applied is because the menupopup doesn't have a frame. According to http://mb.eschew.org/15#sub_15.2.1, a tag must have a frame before the binding can be applied.

So does _ensureInitialized really need to be called before the popup opens? Or can it be called when the onpopupshowing or onpopupshown event is called?
Comment 5 :aceman 2013-05-25 16:10:50 PDT
(In reply to Mike Conley (:mconley) from comment #4)
> So, why is this test failure suddenly being exposed with the patch from bug
> 828587? That's not clear to me so far.

It does not expose it. The test passes. I noticed the problem while watching the test execution without vnc. I think as the customize dialog is not closed, the test actually does not test anything (it does not test what it thinks it tests) so reappearance of bug 520457 is not noticed.

> I *think* the reason that the binding isn't applied is because the menupopup
> doesn't have a frame. According to http://mb.eschew.org/15#sub_15.2.1, a tag
> must have a frame before the binding can be applied.

> So does _ensureInitialized really need to be called before the popup opens?
> Or can it be called when the onpopupshowing or onpopupshown event is called?

I think this is done because the popup is actually not shown, this just forces it to generate its items, while still being invisible.
Comment 6 Mike Conley (:mconley) - (Needinfo me!) 2013-05-25 16:27:41 PDT
(In reply to :aceman from comment #5)
> I think this is done because the popup is actually not shown, this just
> forces it to generate its items, while still being invisible.

Hrm, I don't think that's going to happen. Unless I'm very much mistaken, the binding will not attach until the popup has a frame in the layout.
Comment 7 :aceman 2013-05-25 16:38:08 PDT
The test assumes it. And it works the first time, before opening Customize.
But we can try to click the menu normally.
Comment 8 :aceman 2013-05-26 06:17:23 PDT
Created attachment 754225 [details] [diff] [review]
patch v3

OK, this works now.
Comment 9 Mike Conley (:mconley) - (Needinfo me!) 2013-06-09 11:04:13 PDT
Comment on attachment 754225 [details] [diff] [review]
patch v3

Review of attachment 754225 [details] [diff] [review]:
-----------------------------------------------------------------

Ok, I think I'm happy with this. The hack to depopulate the menupopup isn't the greatest, but I can't think of anything better without forcing the frame. Thanks aceman, and sorry about the wait!
Comment 10 :aceman 2013-06-09 12:30:11 PDT
I'll try to fix it later inside folderWidgets.xml, when the popup is exposed.
Comment 11 Mark Banner (:standard8) 2013-06-10 04:30:30 PDT
https://hg.mozilla.org/comm-central/rev/a7f0ffd07bb2
Comment 12 :aceman 2013-06-10 11:20:19 PDT
So this seems to have caused the test-message-filters.js::test_customize_toolbar_doesnt_double_get_mail_menu failure to actually appear now on Linux64 debug and all of OS X :(
Comment 13 :aceman 2013-06-10 11:46:22 PDT
Looking at the screenshots of the tests, OS X does not have the menu I try to open here, maybe that is the problem. I can switch to the new appmenu...
Comment 14 :aceman 2013-06-10 12:24:11 PDT
Created attachment 760529 [details] [diff] [review]
fix for OS X

Can you please try this on the tryserver?
Comment 16 :aceman 2013-06-11 00:07:37 PDT
So this helped linux 64bit (which may have been the linux popup fluke anyway). But OS X still busted. But from the screenshot it looks that it is not a problem of the menu not being accessible, but the toolbar is still in the Customize mode. However I see no Customize window still open...
Comment 17 :aceman 2013-06-11 00:11:14 PDT
Anybody able to run TB on Mac OS X, could you please check in DOM Inspector whether the Customize window has the windowType of "mailnews:customizeToolbar" set ?
Comment 18 Josiah Bruner [:JosiahOne] (needinfo for responses) 2013-06-11 06:07:19 PDT
(In reply to :aceman from comment #17)
> Anybody able to run TB on Mac OS X, could you please check in DOM Inspector
> whether the Customize window has the windowType of
> "mailnews:customizeToolbar" set ?

I would be glad too, however I am unaware of any "Customize window". If you are talking about toolbar customization, we use a sheet on OS X, not a window.
Comment 19 :aceman 2013-06-11 08:11:34 PDT
That may be the problem. What is a sheet? Can you please attach a screenshot? And maybe if you can find out the id of that element I could work on from there. Thanks.

Maybe I just need to use CustomizeDialogHelper from mail/test/mozmill/shared-modules/test-customization-helpers.js as seen in bug 876268. Thanks for the hint!
Comment 20 Josiah Bruner [:JosiahOne] (needinfo for responses) 2013-06-11 08:17:03 PDT
Created attachment 760929 [details]
Screenshot of an OS X "Sheet"

Here's what a "sheet" looks like. However, a sheet is really just a slightly modified version of an NSWindow, but some things are different, which could be your issue. The structure is as follows:

panel - customizeToolbarSheetPopup
  iframe - customizeToolbarSheetIFrame
    #document
      window - CustomizeToolbarWindow

Hope that helps in any way.
Comment 21 :aceman 2013-06-11 11:01:34 PDT
Created attachment 761039 [details] [diff] [review]
fix for OS X v2

Can you please try this locally?
Comment 22 Josiah Bruner [:JosiahOne] (needinfo for responses) 2013-06-11 13:33:57 PDT
For some reason I can't. But I am running an OS X try for you:

https://tbpl.mozilla.org/?tree=Thunderbird-Try&rev=d07dae5e24f2
Comment 23 :aceman 2013-06-16 12:53:58 PDT
Created attachment 763278 [details] [diff] [review]
fix for OS X v3

OK, another experiment.
Josiah, can you run this in try server please? OSX/mozmill only.
Comment 24 Josiah Bruner [:JosiahOne] (needinfo for responses) 2013-06-16 13:12:55 PDT
https://tbpl.mozilla.org/?tree=Thunderbird-Try&rev=7c5f2f6edc78
Comment 25 :aceman 2013-06-16 14:32:21 PDT
Created attachment 763283 [details] [diff] [review]
fix for OS X v4

So the previous patch did not work. You can cancel the job on try server and please push this one.
Comment 26 Josiah Bruner [:JosiahOne] (needinfo for responses) 2013-06-16 16:00:57 PDT
Here you are:

https://tbpl.mozilla.org/?tree=Thunderbird-Try&rev=1b8afe3bdb01
Comment 27 :aceman 2013-06-17 13:46:58 PDT
Created attachment 763778 [details] [diff] [review]
fix for OS X v5

Another failure. OK, let's push this one, I hope it at least does not have any undefined elements.
Comment 29 Mark Banner (:standard8) 2013-07-09 02:12:58 PDT
I've just been playing with this. The problem here, is that you're actually coming up against a real bug - see the STR below.

I suspect this is something messed up with how we're doing the customise toolbar dialog and Mac. Given that this is working on the other two platforms, I'd be happy disabling the test and moving the issue to another bug. What do you think?


STR:

1) Open TB
2) Without clicking anything, go to the App Menu -> File -> Get New Messages For
3) Press Escape 3 times

=> The menu closes

4) Right click toolbar, select Customise
5) Close the Customise dialog
6) Repeat step 2
7) Press Escape

Actual Results:

The menu stays open

Expected results:

The menu closes
Comment 30 Mark Banner (:standard8) 2013-07-09 06:10:33 PDT
Having just confused myself whilst looking at tbpl, I'd better clarify things.

With attachment 763778 [details] [diff] [review] (fix for OS X v5) I see the bug that I mentioned in comment 29 - the try run for that patch shows:

Test Failure: Popup did not close!

rather than:

Test Failure: Timeout waiting for popup to open

So the patch improved things, but it then found another bug. I'm guessing its quite possible the patch would fix the occasional random orange for this test on Linux (see in one run here):

https://tbpl.mozilla.org/?tree=Thunderbird-Try&rev=ad35314cc7a1
Comment 31 :aceman 2013-07-09 06:39:17 PDT
(In reply to Mark Banner (:standard8) from comment #29)
Are the steps for Mac only? I couldn't reproduce the problem on Win XP.
Comment 32 Treeherder Robot 2013-07-09 07:47:27 PDT
Standard8
https://tbpl.mozilla.org/php/getParsedLog.php?id=25067886&tree=Thunderbird-Trunk
TB Rev4 MacOSX Lion 10.7 comm-central debug test mozmill on 2013-07-09 06:54:44
revision: b2a4c19e5f04
slave: talos-r4-lion-018

TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/test/build/mozmill/folder-widget/test-message-filters.js | test-message-filters.js::test_customize_toolbar_doesnt_double_get_mail_menu
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 33 Treeherder Robot 2013-07-09 08:57:03 PDT
Standard8
https://tbpl.mozilla.org/php/getParsedLog.php?id=25070490&tree=Thunderbird-Trunk
TB Rev3 Fedora 12x64 comm-central debug test mozmill on 2013-07-09 07:56:56
revision: b2a4c19e5f04
slave: talos-r3-fed64-057

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_move_message
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_delete_message
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_archive_message
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-widget/test-message-filters.js | test-message-filters.js::test_customize_toolbar_doesnt_double_get_mail_menu
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/message-window/test-commands.js | test-commands.js::test_copy_eml_message
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 34 Treeherder Robot 2013-07-09 08:57:09 PDT
Standard8
https://tbpl.mozilla.org/php/getParsedLog.php?id=25069858&tree=Thunderbird-Trunk
TB Rev4 MacOSX Snow Leopard 10.6 comm-central debug test mozmill on 2013-07-09 07:47:23
revision: b2a4c19e5f04
slave: talos-r4-snow-010

TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/test/build/mozmill/folder-widget/test-message-filters.js | test-message-filters.js::test_customize_toolbar_doesnt_double_get_mail_menu
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 35 :aceman 2013-07-09 15:32:23 PDT
Created attachment 772938 [details] [diff] [review]
fix for OS X v6

This is updated after recent landings and also makes click_menus_in_sequence work on the appmenu (it has menus elements deeper than first level children).
Comment 36 Mark Banner (:standard8) 2013-07-09 15:45:12 PDT
(In reply to :aceman from comment #31)
> (In reply to Mark Banner (:standard8) from comment #29)
> Are the steps for Mac only? I couldn't reproduce the problem on Win XP.

I could also not reproduce it on Windows. I really suspect it is Mac-only.

I'll try the new patch tomorrow.
Comment 37 Mark Banner (:standard8) 2013-07-10 11:18:47 PDT
Unfortunately the same failure still seems to occur:

SUMMARY-UNEXPECTED-FAIL | test-message-filters.js | test-message-filters.js::test_customize_toolbar_doesnt_double_get_mail_menu
  EXCEPTION: Popup did not close! id=appmenu_getAllNewMsgPopup, state=open
    at: utils.js line 447
       TimeoutError utils.js 447
       waitFor utils.js 485
       _click_menus test-window-helpers.js 1000
       check_getAllNewMsgMenu test-message-filters.js 101
       test_customize_toolbar_doesnt_double_get_mail_menu test-message-filters.js 116
       Runner.prototype.wrapper frame.js 582
       Runner.prototype._runTestModule frame.js 652
       Runner.prototype.runTestModule frame.js 698
       Runner.prototype.runTestFile frame.js 531
       runTestFile frame.js 710
       Bridge.prototype._execFunction server.js 179
       Bridge.prototype.execFunction server.js 183
Comment 38 :aceman 2013-07-10 13:37:00 PDT
That seems better to me, as this is in the state you mentioned. The original problem was that the popup did not open. Now it opens so we are at the second bug.
Comment 39 Treeherder Robot 2013-07-11 02:23:56 PDT
Standard8
https://tbpl.mozilla.org/php/getParsedLog.php?id=25161888&tree=Thunderbird-Trunk
TB Rev4 MacOSX Snow Leopard 10.6 comm-central debug test mozmill on 2013-07-11 01:32:50
revision: 85ab07b6ae9a
slave: talos-r4-snow-065

TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/test/build/mozmill/folder-widget/test-message-filters.js | test-message-filters.js::test_customize_toolbar_doesnt_double_get_mail_menu
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 40 Treeherder Robot 2013-07-11 02:42:05 PDT
Standard8
https://tbpl.mozilla.org/php/getParsedLog.php?id=25162500&tree=Thunderbird-Trunk
TB Rev4 MacOSX Snow Leopard 10.6 comm-central opt test mozmill on 2013-07-11 02:13:58
revision: 85ab07b6ae9a
slave: talos-r4-snow-031

TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/test/build/mozmill/folder-widget/test-message-filters.js | test-message-filters.js::test_customize_toolbar_doesnt_double_get_mail_menu
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 41 Treeherder Robot 2013-07-11 06:05:36 PDT
Standard8
https://tbpl.mozilla.org/php/getParsedLog.php?id=25168594&tree=Thunderbird-Trunk
TB Rev4 MacOSX Lion 10.7 comm-central debug test mozmill on 2013-07-11 04:43:03
revision: 1915f5d868db
slave: talos-r4-lion-018

TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/test/build/mozmill/folder-widget/test-message-filters.js | test-message-filters.js::test_customize_toolbar_doesnt_double_get_mail_menu
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 42 Treeherder Robot 2013-07-11 06:36:17 PDT
Standard8
https://tbpl.mozilla.org/php/getParsedLog.php?id=25170054&tree=Thunderbird-Trunk
TB Rev3 Fedora 12x64 comm-central debug test mozmill on 2013-07-11 05:29:57
revision: 1915f5d868db
slave: talos-r3-fed64-064

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_move_message
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_delete_message
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_archive_message
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-widget/test-message-filters.js | test-message-filters.js::test_customize_toolbar_doesnt_double_get_mail_menu
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 43 Treeherder Robot 2013-07-11 06:38:02 PDT
Standard8
https://tbpl.mozilla.org/php/getParsedLog.php?id=25168685&tree=Thunderbird-Trunk
TB Rev4 MacOSX Lion 10.7 comm-central opt test mozmill on 2013-07-11 05:15:50
revision: 85ab07b6ae9a
slave: talos-r4-lion-088

TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/test/build/mozmill/folder-widget/test-message-filters.js | test-message-filters.js::test_customize_toolbar_doesnt_double_get_mail_menu
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 44 Treeherder Robot 2013-07-11 08:02:24 PDT
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=25171515&tree=Thunderbird-Trunk
TB Rev4 MacOSX Snow Leopard 10.6 comm-central debug test mozmill on 2013-07-11 07:06:50
revision: 65c5bfb05484
slave: talos-r4-snow-042

TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/test/build/mozmill/folder-widget/test-message-filters.js | test-message-filters.js::test_customize_toolbar_doesnt_double_get_mail_menu
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 45 Treeherder Robot 2013-07-11 08:02:30 PDT
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=25171596&tree=Thunderbird-Trunk
TB Rev4 MacOSX Lion 10.7 comm-central debug test mozmill on 2013-07-11 07:06:44
revision: 65c5bfb05484
slave: talos-r4-lion-075

TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/test/build/mozmill/folder-widget/test-message-filters.js | test-message-filters.js::test_customize_toolbar_doesnt_double_get_mail_menu
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 46 Treeherder Robot 2013-07-11 08:26:38 PDT
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=25172036&tree=Thunderbird-Trunk
TB Rev4 MacOSX Snow Leopard 10.6 comm-central opt test mozmill on 2013-07-11 07:54:44
revision: 65c5bfb05484
slave: talos-r4-snow-011

TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/test/build/mozmill/folder-widget/test-message-filters.js | test-message-filters.js::test_customize_toolbar_doesnt_double_get_mail_menu
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 47 Treeherder Robot 2013-07-11 08:26:48 PDT
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=25172029&tree=Thunderbird-Trunk
TB Rev4 MacOSX Lion 10.7 comm-central opt test mozmill on 2013-07-11 07:53:56
revision: 65c5bfb05484
slave: talos-r4-lion-070

TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/test/build/mozmill/folder-widget/test-message-filters.js | test-message-filters.js::test_customize_toolbar_doesnt_double_get_mail_menu
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 48 Treeherder Robot 2013-07-11 08:38:12 PDT
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=25172395&tree=Thunderbird-Trunk
TB Rev3 Fedora 12x64 comm-central debug test mozmill on 2013-07-11 07:37:52
revision: 65c5bfb05484
slave: talos-r3-fed64-041

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_move_message
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_delete_message
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_archive_message
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-widget/test-message-filters.js | test-message-filters.js::test_customize_toolbar_doesnt_double_get_mail_menu
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 49 Treeherder Robot 2013-07-11 11:10:15 PDT
Standard8
https://tbpl.mozilla.org/php/getParsedLog.php?id=25178926&tree=Thunderbird-Trunk
TB Rev4 MacOSX Lion 10.7 comm-central opt test mozmill on 2013-07-11 10:32:51
revision: 49c485a0247c
slave: talos-r4-lion-032

TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/test/build/mozmill/cloudfile/test-cloudfile-attachment-item.js | test-cloudfile-attachment-item.js::test_upload_cancel_repeat
TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/test/build/mozmill/cloudfile/test-cloudfile-attachment-item.js | test-cloudfile-attachment-item.js::test_upload_multiple_and_cancel
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/test/build/mozmill/folder-widget/test-message-filters.js | test-message-filters.js::test_customize_toolbar_doesnt_double_get_mail_menu
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 50 Treeherder Robot 2013-07-11 11:23:00 PDT
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=25179831&tree=Thunderbird-Trunk
TB Rev3 Fedora 12x64 comm-central debug test mozmill on 2013-07-11 10:26:02
revision: 49c485a0247c
slave: talos-r3-fed64-046

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/cloudfile/test-cloudfile-attachment-item.js | test-cloudfile-attachment-item.js::test_upload_cancel_repeat
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/cloudfile/test-cloudfile-attachment-item.js | test-cloudfile-attachment-item.js::test_upload_multiple_and_cancel
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_move_message
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_delete_message
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_archive_message
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-widget/test-message-filters.js | test-message-filters.js::test_customize_toolbar_doesnt_double_get_mail_menu
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 51 Treeherder Robot 2013-07-11 13:03:00 PDT
Standard8
https://tbpl.mozilla.org/php/getParsedLog.php?id=25184216&tree=Thunderbird-Trunk
TB Rev4 MacOSX Snow Leopard 10.6 comm-central debug test mozmill on 2013-07-11 12:12:02
revision: b5b2cd16c19f
slave: talos-r4-snow-005

TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/test/build/mozmill/folder-widget/test-message-filters.js | test-message-filters.js::test_customize_toolbar_doesnt_double_get_mail_menu
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 52 Treeherder Robot 2013-07-11 13:05:57 PDT
Standard8
https://tbpl.mozilla.org/php/getParsedLog.php?id=25184537&tree=Thunderbird-Trunk
TB Rev4 MacOSX Lion 10.7 comm-central debug test mozmill on 2013-07-11 12:12:58
revision: b5b2cd16c19f
slave: talos-r4-lion-085

TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/test/build/mozmill/folder-widget/test-message-filters.js | test-message-filters.js::test_customize_toolbar_doesnt_double_get_mail_menu
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 53 Treeherder Robot 2013-07-11 13:53:33 PDT
Standard8
https://tbpl.mozilla.org/php/getParsedLog.php?id=25186447&tree=Thunderbird-Trunk
TB Rev3 Fedora 12x64 comm-central debug test mozmill on 2013-07-11 12:53:53
revision: b5b2cd16c19f
slave: talos-r3-fed64-063

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_move_message
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_delete_message
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_archive_message
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-widget/test-message-filters.js | test-message-filters.js::test_customize_toolbar_doesnt_double_get_mail_menu
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 54 Treeherder Robot 2013-07-11 13:54:00 PDT
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=25186447&tree=Thunderbird-Trunk
TB Rev3 Fedora 12x64 comm-central debug test mozmill on 2013-07-11 12:53:53
revision: b5b2cd16c19f
slave: talos-r3-fed64-063

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_move_message
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_delete_message
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_archive_message
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-widget/test-message-filters.js | test-message-filters.js::test_customize_toolbar_doesnt_double_get_mail_menu
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 55 Treeherder Robot 2013-07-11 18:41:41 PDT
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=25190789&tree=Thunderbird-Trunk
TB Rev4 MacOSX Snow Leopard 10.6 comm-central opt test mozmill on 2013-07-11 15:13:12
revision: d91cc1d91c8b
slave: talos-r4-snow-060

TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/test/build/mozmill/folder-widget/test-message-filters.js | test-message-filters.js::test_customize_toolbar_doesnt_double_get_mail_menu
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 56 Treeherder Robot 2013-07-11 18:42:00 PDT
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=25189059&tree=Thunderbird-Trunk
TB Rev4 MacOSX Lion 10.7 comm-central opt test mozmill on 2013-07-11 14:30:05
revision: b5b2cd16c19f
slave: talos-r4-lion-024

TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/test/build/mozmill/folder-widget/test-message-filters.js | test-message-filters.js::test_customize_toolbar_doesnt_double_get_mail_menu
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 57 Treeherder Robot 2013-07-12 03:33:08 PDT
Standard8
https://tbpl.mozilla.org/php/getParsedLog.php?id=25211534&tree=Thunderbird-Trunk
TB Rev4 MacOSX Lion 10.7 comm-central debug test mozmill on 2013-07-12 01:16:44
revision: 1474fbd5ab3d
slave: talos-r4-lion-017

TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/test/build/mozmill/folder-widget/test-message-filters.js | test-message-filters.js::test_customize_toolbar_doesnt_double_get_mail_menu
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 58 Treeherder Robot 2013-07-12 06:15:34 PDT
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=25216305&tree=Thunderbird-Trunk
TB Rev4 MacOSX Snow Leopard 10.6 comm-central opt test mozmill on 2013-07-12 05:25:44
revision: 8d3cee8ca7c3
slave: talos-r4-snow-008

TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/test/build/mozmill/folder-widget/test-message-filters.js | test-message-filters.js::test_customize_toolbar_doesnt_double_get_mail_menu
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 59 Treeherder Robot 2013-07-12 06:15:40 PDT
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=25215879&tree=Thunderbird-Trunk
TB Rev4 MacOSX Snow Leopard 10.6 comm-central debug test mozmill on 2013-07-12 04:37:52
revision: 8d3cee8ca7c3
slave: talos-r4-snow-078

TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/test/build/mozmill/folder-widget/test-message-filters.js | test-message-filters.js::test_customize_toolbar_doesnt_double_get_mail_menu
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 60 Treeherder Robot 2013-07-12 06:16:21 PDT
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=25216085&tree=Thunderbird-Trunk
TB Rev4 MacOSX Lion 10.7 comm-central debug test mozmill on 2013-07-12 04:37:56
revision: 8d3cee8ca7c3
slave: talos-r4-lion-051

TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/test/build/mozmill/folder-widget/test-message-filters.js | test-message-filters.js::test_customize_toolbar_doesnt_double_get_mail_menu
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 61 Treeherder Robot 2013-07-12 06:17:15 PDT
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=25215507&tree=Thunderbird-Trunk
TB Rev4 MacOSX Snow Leopard 10.6 comm-central opt test mozmill on 2013-07-12 04:52:44
revision: 1474fbd5ab3d
slave: talos-r4-snow-074

TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/test/build/mozmill/folder-widget/test-message-filters.js | test-message-filters.js::test_customize_toolbar_doesnt_double_get_mail_menu
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 62 Treeherder Robot 2013-07-12 06:17:30 PDT
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=25215526&tree=Thunderbird-Trunk
TB Rev4 MacOSX Lion 10.7 comm-central opt test mozmill on 2013-07-12 04:52:58
revision: 1474fbd5ab3d
slave: talos-r4-lion-029

TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/test/build/mozmill/folder-widget/test-message-filters.js | test-message-filters.js::test_customize_toolbar_doesnt_double_get_mail_menu
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 63 Treeherder Robot 2013-07-16 01:56:41 PDT
Standard8
https://tbpl.mozilla.org/php/getParsedLog.php?id=25303853&tree=Thunderbird-Trunk
TB Rev4 MacOSX Snow Leopard 10.6 comm-central opt test mozmill on 2013-07-15 16:32:00
revision: 4b7b69bac9f2
slave: talos-r4-snow-011

TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/test/build/mozmill/folder-widget/test-message-filters.js | test-message-filters.js::test_customize_toolbar_doesnt_double_get_mail_menu
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 64 Treeherder Robot 2013-07-16 06:04:45 PDT
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=25323627&tree=Thunderbird-Trunk
TB Rev4 MacOSX Snow Leopard 10.6 comm-central opt test mozmill on 2013-07-16 05:11:12
revision: 4b7b69bac9f2
slave: talos-r4-snow-025

TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/test/build/mozmill/folder-widget/test-message-filters.js | test-message-filters.js::test_customize_toolbar_doesnt_double_get_mail_menu
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 65 Treeherder Robot 2013-07-16 06:04:48 PDT
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=25323634&tree=Thunderbird-Trunk
TB Rev4 MacOSX Lion 10.7 comm-central opt test mozmill on 2013-07-16 05:11:19
revision: 4b7b69bac9f2
slave: talos-r4-lion-074

TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/test/build/mozmill/folder-widget/test-message-filters.js | test-message-filters.js::test_customize_toolbar_doesnt_double_get_mail_menu
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 66 Treeherder Robot 2013-07-16 07:33:28 PDT
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=25325929&tree=Thunderbird-Trunk
TB Rev4 MacOSX Snow Leopard 10.6 comm-central debug test mozmill on 2013-07-16 06:35:33
revision: b0a0d184737c
slave: talos-r4-snow-075

TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/test/build/mozmill/folder-widget/test-message-filters.js | test-message-filters.js::test_customize_toolbar_doesnt_double_get_mail_menu
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 67 Treeherder Robot 2013-07-16 07:39:08 PDT
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=25326366&tree=Thunderbird-Trunk
TB Rev4 MacOSX Lion 10.7 comm-central debug test mozmill on 2013-07-16 06:39:52
revision: b0a0d184737c
slave: talos-r4-lion-017

TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/test/build/mozmill/folder-widget/test-message-filters.js | test-message-filters.js::test_customize_toolbar_doesnt_double_get_mail_menu
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 68 Treeherder Robot 2013-07-16 07:48:17 PDT
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=25326688&tree=Thunderbird-Trunk
TB Rev4 MacOSX Snow Leopard 10.6 comm-central opt test mozmill on 2013-07-16 07:20:18
revision: b0a0d184737c
slave: talos-r4-snow-074

TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/test/build/mozmill/folder-widget/test-message-filters.js | test-message-filters.js::test_customize_toolbar_doesnt_double_get_mail_menu
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 69 Treeherder Robot 2013-07-16 07:48:33 PDT
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=25326718&tree=Thunderbird-Trunk
TB Rev4 MacOSX Lion 10.7 comm-central opt test mozmill on 2013-07-16 07:20:53
revision: b0a0d184737c
slave: talos-r4-lion-089

TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/test/build/mozmill/folder-widget/test-message-filters.js | test-message-filters.js::test_customize_toolbar_doesnt_double_get_mail_menu
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 70 Treeherder Robot 2013-07-16 10:55:55 PDT
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=25335237&tree=Thunderbird-Trunk
TB Rev4 MacOSX Snow Leopard 10.6 comm-central debug test mozmill on 2013-07-16 09:54:38
revision: 7847008544a1
slave: talos-r4-snow-016

TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/test/build/mozmill/folder-widget/test-message-filters.js | test-message-filters.js::test_customize_toolbar_doesnt_double_get_mail_menu
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 71 Treeherder Robot 2013-07-16 11:12:49 PDT
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=25336561&tree=Thunderbird-Trunk
TB Rev4 MacOSX Snow Leopard 10.6 comm-central opt test mozmill on 2013-07-16 10:47:21
revision: 7847008544a1
slave: talos-r4-snow-028

TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/test/build/mozmill/folder-widget/test-message-filters.js | test-message-filters.js::test_customize_toolbar_doesnt_double_get_mail_menu
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 72 Treeherder Robot 2013-07-16 11:48:06 PDT
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=25338004&tree=Thunderbird-Trunk
TB Rev4 MacOSX Snow Leopard 10.6 comm-central debug test mozmill on 2013-07-16 10:55:04
revision: 9cf4459806ca
slave: talos-r4-snow-024

TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/test/build/mozmill/folder-widget/test-message-filters.js | test-message-filters.js::test_customize_toolbar_doesnt_double_get_mail_menu
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 73 Treeherder Robot 2013-07-16 11:55:25 PDT
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=25338174&tree=Thunderbird-Trunk
TB Rev4 MacOSX Lion 10.7 comm-central debug test mozmill on 2013-07-16 10:53:44
revision: 9cf4459806ca
slave: talos-r4-lion-084

TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/test/build/mozmill/folder-widget/test-message-filters.js | test-message-filters.js::test_customize_toolbar_doesnt_double_get_mail_menu
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 74 Treeherder Robot 2013-07-16 12:59:47 PDT
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=25340364&tree=Thunderbird-Trunk
TB Rev4 MacOSX Snow Leopard 10.6 comm-central opt test mozmill on 2013-07-16 12:25:10
revision: 9cf4459806ca
slave: talos-r4-snow-016

TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/test/build/mozmill/folder-widget/test-message-filters.js | test-message-filters.js::test_customize_toolbar_doesnt_double_get_mail_menu
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 75 Treeherder Robot 2013-07-16 14:02:12 PDT
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=25343832&tree=Thunderbird-Trunk
TB Rev4 MacOSX Snow Leopard 10.6 comm-central opt test mozmill on 2013-07-16 13:36:40
revision: f5f4d4b6a815
slave: talos-r4-snow-018

TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/test/build/mozmill/folder-widget/test-message-filters.js | test-message-filters.js::test_customize_toolbar_doesnt_double_get_mail_menu
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 76 Treeherder Robot 2013-07-16 14:45:30 PDT
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=25345593&tree=Thunderbird-Trunk
TB Rev4 MacOSX Snow Leopard 10.6 comm-central debug test mozmill on 2013-07-16 13:38:16
revision: f5f4d4b6a815
slave: talos-r4-snow-069

TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/test/build/mozmill/folder-widget/test-message-filters.js | test-message-filters.js::test_customize_toolbar_doesnt_double_get_mail_menu
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 77 Treeherder Robot 2013-07-17 05:36:46 PDT
Standard8
https://tbpl.mozilla.org/php/getParsedLog.php?id=25375302&tree=Thunderbird-Trunk
TB Rev4 MacOSX Lion 10.7 comm-central opt test mozmill on 2013-07-17 05:05:40
revision: f5f4d4b6a815
slave: talos-r4-lion-003

TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/test/build/mozmill/folder-widget/test-message-filters.js | test-message-filters.js::test_customize_toolbar_doesnt_double_get_mail_menu
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 78 Treeherder Robot 2013-07-17 07:42:44 PDT
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=25378614&tree=Thunderbird-Trunk
TB Rev4 MacOSX Snow Leopard 10.6 comm-central debug test mozmill on 2013-07-17 06:45:41
revision: 0ba38b41f77f
slave: talos-r4-snow-027

TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/test/build/mozmill/folder-widget/test-message-filters.js | test-message-filters.js::test_customize_toolbar_doesnt_double_get_mail_menu
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 79 Treeherder Robot 2013-07-17 07:47:42 PDT
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=25378899&tree=Thunderbird-Trunk
TB Rev4 MacOSX Lion 10.7 comm-central debug test mozmill on 2013-07-17 06:45:42
revision: 0ba38b41f77f
slave: talos-r4-lion-048

TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/test/build/mozmill/folder-widget/test-message-filters.js | test-message-filters.js::test_customize_toolbar_doesnt_double_get_mail_menu
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 80 Treeherder Robot 2013-07-17 08:39:49 PDT
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=25380093&tree=Thunderbird-Trunk
TB Rev4 MacOSX Snow Leopard 10.6 comm-central debug test mozmill on 2013-07-17 07:30:13
revision: 0ba38b41f77f
slave: talos-r4-snow-069

TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/test/build/mozmill/folder-widget/test-message-filters.js | test-message-filters.js::test_customize_toolbar_doesnt_double_get_mail_menu
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 81 Treeherder Robot 2013-07-17 09:01:08 PDT
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=25381367&tree=Thunderbird-Trunk
TB Rev4 MacOSX Lion 10.7 comm-central opt test mozmill on 2013-07-17 08:36:15
revision: 0ba38b41f77f
slave: talos-r4-lion-080

TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/test/build/mozmill/folder-widget/test-message-filters.js | test-message-filters.js::test_customize_toolbar_doesnt_double_get_mail_menu
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 82 Josiah Bruner [:JosiahOne] (needinfo for responses) 2013-07-17 09:49:10 PDT
(In reply to Josiah Bruner [:JosiahOne] from comment #20)
> Created attachment 760929 [details]
> Screenshot of an OS X "Sheet"
> 
> Here's what a "sheet" looks like. However, a sheet is really just a slightly
> modified version of an NSWindow, but some things are different, which could
> be your issue. The structure is as follows:
> 
> panel - customizeToolbarSheetPopup
>   iframe - customizeToolbarSheetIFrame
>     #document
>       window - CustomizeToolbarWindow
> 
> Hope that helps in any way.

Just want to clarify that this customize panel is not technically a sheet. A sheet is a native NSWindow subclass object, this is just meant to act/look like one. You probably already knew this though.
Comment 83 Treeherder Robot 2013-07-17 11:09:07 PDT
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=25387113&tree=Thunderbird-Trunk
TB Rev4 MacOSX Lion 10.7 comm-central debug test mozmill on 2013-07-17 10:01:36
revision: 3efb0311a21c
slave: talos-r4-lion-046

TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/test/build/mozmill/folder-widget/test-message-filters.js | test-message-filters.js::test_customize_toolbar_doesnt_double_get_mail_menu
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 84 Treeherder Robot 2013-07-17 12:52:30 PDT
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=25389480&tree=Thunderbird-Trunk
TB Rev4 MacOSX Snow Leopard 10.6 comm-central opt test mozmill on 2013-07-17 11:41:01
revision: 3efb0311a21c
slave: talos-r4-snow-027

TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/test/build/mozmill/folder-widget/test-message-filters.js | test-message-filters.js::test_customize_toolbar_doesnt_double_get_mail_menu
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 85 Treeherder Robot 2013-07-17 13:35:55 PDT
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=25392348&tree=Thunderbird-Trunk
TB Rev4 MacOSX Lion 10.7 comm-central debug test mozmill on 2013-07-17 12:12:25
revision: 0ba38b41f77f
slave: talos-r4-lion-060

TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/test/build/mozmill/folder-widget/test-message-filters.js | test-message-filters.js::test_customize_toolbar_doesnt_double_get_mail_menu
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 86 Treeherder Robot 2013-07-17 18:46:08 PDT
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=25405295&tree=Thunderbird-Trunk
TB Rev4 MacOSX Lion 10.7 comm-central debug test mozmill on 2013-07-17 16:51:54
revision: 3efb0311a21c
slave: talos-r4-lion-061

TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/test/build/mozmill/folder-widget/test-message-filters.js | test-message-filters.js::test_customize_toolbar_doesnt_double_get_mail_menu
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 87 Treeherder Robot 2013-07-18 06:43:19 PDT
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=25430246&tree=Thunderbird-Trunk
TB Rev4 MacOSX Lion 10.7 comm-central opt test mozmill on 2013-07-18 05:12:26
revision: 0ba38b41f77f
slave: talos-r4-lion-049

TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/test/build/mozmill/folder-widget/test-message-filters.js | test-message-filters.js::test_customize_toolbar_doesnt_double_get_mail_menu
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 88 Treeherder Robot 2013-07-18 10:13:06 PDT
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=25438103&tree=Thunderbird-Trunk
TB Rev4 MacOSX Lion 10.7 comm-central debug test mozmill on 2013-07-18 08:19:30
revision: 17f6b3acfc77
slave: talos-r4-lion-022

TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/test/build/mozmill/folder-widget/test-message-filters.js | test-message-filters.js::test_customize_toolbar_doesnt_double_get_mail_menu
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 89 Treeherder Robot 2013-07-18 10:20:38 PDT
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=25441106&tree=Thunderbird-Trunk
TB Rev4 MacOSX Snow Leopard 10.6 comm-central opt test mozmill on 2013-07-18 09:52:54
revision: 17f6b3acfc77
slave: talos-r4-snow-022

TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/test/build/mozmill/folder-widget/test-message-filters.js | test-message-filters.js::test_customize_toolbar_doesnt_double_get_mail_menu
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 90 Treeherder Robot 2013-07-18 10:25:22 PDT
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=25441192&tree=Thunderbird-Trunk
TB Rev4 MacOSX Lion 10.7 comm-central opt test mozmill on 2013-07-18 09:53:54
revision: 17f6b3acfc77
slave: talos-r4-lion-061

TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/test/build/mozmill/folder-widget/test-message-filters.js | test-message-filters.js::test_customize_toolbar_doesnt_double_get_mail_menu
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 91 Treeherder Robot 2013-07-18 18:33:38 PDT
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=25463286&tree=Thunderbird-Trunk
TB Rev3 Fedora 12 comm-central opt test mozmill on 2013-07-18 17:27:37
revision: d7237cd27263
slave: talos-r3-fed-011

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/content-tabs/test-plugin-crashing.js | test-plugin-crashing.js::test_crashed_plugin_notification_inline
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_move_message
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_delete_message
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_archive_message
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-widget/test-message-filters.js | test-message-filters.js::test_customize_toolbar_doesnt_double_get_mail_menu
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 92 Treeherder Robot 2013-07-18 18:33:51 PDT
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=25461752&tree=Thunderbird-Trunk
TB Rev4 MacOSX Lion 10.7 comm-central debug test mozmill on 2013-07-18 16:25:19
revision: d7237cd27263
slave: talos-r4-lion-026

TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/test/build/mozmill/folder-widget/test-message-filters.js | test-message-filters.js::test_customize_toolbar_doesnt_double_get_mail_menu
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 93 Treeherder Robot 2013-07-19 10:36:42 PDT
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=25494410&tree=Thunderbird-Trunk
TB Rev4 MacOSX Snow Leopard 10.6 comm-central opt test mozmill on 2013-07-19 09:57:07
revision: baddbdd06d16
slave: talos-r4-snow-065

TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/test/build/mozmill/folder-widget/test-message-filters.js | test-message-filters.js::test_customize_toolbar_doesnt_double_get_mail_menu
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 94 Treeherder Robot 2013-07-19 13:58:08 PDT
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=25501725&tree=Thunderbird-Trunk
TB Rev4 MacOSX Lion 10.7 comm-central debug test mozmill on 2013-07-19 12:17:00
revision: 89bbcd5a2293
slave: talos-r4-lion-077

TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/test/build/mozmill/folder-widget/test-message-filters.js | test-message-filters.js::test_customize_toolbar_doesnt_double_get_mail_menu
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 95 Treeherder Robot 2013-07-22 05:31:26 PDT
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=25532048&tree=Thunderbird-Trunk
TB Rev4 MacOSX Lion 10.7 comm-central debug test mozmill on 2013-07-20 05:10:00
revision: 5a8487d34616
slave: talos-r4-lion-011

TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/test/build/mozmill/folder-widget/test-message-filters.js | test-message-filters.js::test_customize_toolbar_doesnt_double_get_mail_menu
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 96 Treeherder Robot 2013-07-22 05:33:22 PDT
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=25531354&tree=Thunderbird-Trunk
TB Rev4 MacOSX Lion 10.7 comm-central opt test mozmill on 2013-07-20 05:12:13
revision: 89bbcd5a2293
slave: talos-r4-lion-023

TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/test/build/mozmill/folder-widget/test-message-filters.js | test-message-filters.js::test_customize_toolbar_doesnt_double_get_mail_menu
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 97 Treeherder Robot 2013-07-22 07:17:59 PDT
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=25561479&tree=Thunderbird-Trunk
TB Rev4 MacOSX Snow Leopard 10.6 comm-central opt test mozmill on 2013-07-22 06:52:53
revision: 5a8487d34616
slave: talos-r4-snow-020

TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/test/build/mozmill/folder-widget/test-message-filters.js | test-message-filters.js::test_customize_toolbar_doesnt_double_get_mail_menu
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 98 Treeherder Robot 2013-07-22 08:19:42 PDT
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=25562020&tree=Thunderbird-Trunk
TB Rev4 MacOSX Lion 10.7 comm-central debug test mozmill on 2013-07-22 06:43:53
revision: 554332581c15
slave: talos-r4-lion-066

TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/test/build/mozmill/folder-widget/test-message-filters.js | test-message-filters.js::test_customize_toolbar_doesnt_double_get_mail_menu
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 99 Treeherder Robot 2013-07-22 14:55:49 PDT
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=25575235&tree=Thunderbird-Trunk
TB Rev4 MacOSX Lion 10.7 comm-central debug test mozmill on 2013-07-22 13:05:38
revision: 554332581c15
slave: talos-r4-lion-028

TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/test/build/mozmill/folder-widget/test-message-filters.js | test-message-filters.js::test_customize_toolbar_doesnt_double_get_mail_menu
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 100 Treeherder Robot 2013-07-22 19:34:49 PDT
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=25582719&tree=Thunderbird-Trunk
TB Rev4 MacOSX Lion 10.7 comm-central debug test mozmill on 2013-07-22 16:31:32
revision: fe5478fe82c1
slave: talos-r4-lion-055

TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/test/build/mozmill/folder-widget/test-message-filters.js | test-message-filters.js::test_customize_toolbar_doesnt_double_get_mail_menu
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 101 Mark Banner (:standard8) 2013-07-23 03:24:35 PDT
Comment on attachment 772938 [details] [diff] [review]
fix for OS X v6

Ok, so I think we could probably land this, but then we'll probably want to disable the test for mac, and split out to a separate bug the issue with escape that I found.
Comment 102 Treeherder Robot 2013-07-23 04:00:52 PDT
Standard8
https://tbpl.mozilla.org/php/getParsedLog.php?id=25601261&tree=Thunderbird-Trunk
TB Rev4 MacOSX Lion 10.7 comm-central debug test mozmill on 2013-07-23 02:15:07
revision: ce02c28ecbc7
slave: talos-r4-lion-075

TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/test/build/mozmill/folder-widget/test-message-filters.js | test-message-filters.js::test_customize_toolbar_doesnt_double_get_mail_menu
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 103 Treeherder Robot 2013-07-23 05:12:54 PDT
Standard8
https://tbpl.mozilla.org/php/getParsedLog.php?id=25605646&tree=Thunderbird-Trunk
TB Rev4 MacOSX Snow Leopard 10.6 comm-central opt test mozmill on 2013-07-23 04:35:30
revision: 22a2433d1c66
slave: talos-r4-snow-027

TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/test/build/mozmill/folder-widget/test-message-filters.js | test-message-filters.js::test_customize_toolbar_doesnt_double_get_mail_menu
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 104 Treeherder Robot 2013-07-23 05:13:03 PDT
Standard8
https://tbpl.mozilla.org/php/getParsedLog.php?id=25605373&tree=Thunderbird-Trunk
TB Rev4 MacOSX Snow Leopard 10.6 comm-central debug test mozmill on 2013-07-23 04:03:00
revision: 22a2433d1c66
slave: talos-r4-snow-076

TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/test/build/mozmill/folder-widget/test-message-filters.js | test-message-filters.js::test_customize_toolbar_doesnt_double_get_mail_menu
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 105 Treeherder Robot 2013-07-23 05:13:07 PDT
Standard8
https://tbpl.mozilla.org/php/getParsedLog.php?id=25605799&tree=Thunderbird-Trunk
TB Rev4 MacOSX Lion 10.7 comm-central opt test mozmill on 2013-07-23 04:39:46
revision: 22a2433d1c66
slave: talos-r4-lion-085

TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/test/build/mozmill/folder-widget/test-message-filters.js | test-message-filters.js::test_customize_toolbar_doesnt_double_get_mail_menu
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 106 Treeherder Robot 2013-07-23 05:13:13 PDT
Standard8
https://tbpl.mozilla.org/php/getParsedLog.php?id=25605585&tree=Thunderbird-Trunk
TB Rev4 MacOSX Lion 10.7 comm-central debug test mozmill on 2013-07-23 04:03:16
revision: 22a2433d1c66
slave: talos-r4-lion-005

TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/test/build/mozmill/folder-widget/test-message-filters.js | test-message-filters.js::test_customize_toolbar_doesnt_double_get_mail_menu
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 107 Treeherder Robot 2013-07-23 05:52:02 PDT
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=25606511&tree=Thunderbird-Trunk
TB Rev4 MacOSX Lion 10.7 comm-central opt test mozmill on 2013-07-23 05:05:21
revision: fe5478fe82c1
slave: talos-r4-lion-026

TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/test/build/mozmill/folder-widget/test-message-filters.js | test-message-filters.js::test_customize_toolbar_doesnt_double_get_mail_menu
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 108 Treeherder Robot 2013-07-23 08:30:39 PDT
Standard8
https://tbpl.mozilla.org/php/getParsedLog.php?id=25610869&tree=Thunderbird-Aurora
TB Rev4 MacOSX Snow Leopard 10.6 comm-aurora debug test mozmill on 2013-07-23 07:29:31
revision: 72f71f835916
slave: talos-r4-snow-038

TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/test/build/mozmill/folder-widget/test-message-filters.js | test-message-filters.js::test_customize_toolbar_doesnt_double_get_mail_menu
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 109 Treeherder Robot 2013-07-23 09:00:28 PDT
Standard8
https://tbpl.mozilla.org/php/getParsedLog.php?id=25612011&tree=Thunderbird-Aurora
TB Rev3 Fedora 12 comm-aurora opt test mozmill on 2013-07-23 08:18:47
revision: 72f71f835916
slave: talos-r3-fed-067

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_move_message
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_delete_message
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_archive_message
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-widget/test-message-filters.js | test-message-filters.js::test_customize_toolbar_doesnt_double_get_mail_menu
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 110 Treeherder Robot 2013-07-23 09:00:33 PDT
Standard8
https://tbpl.mozilla.org/php/getParsedLog.php?id=25611217&tree=Thunderbird-Aurora
TB Rev4 MacOSX Lion 10.7 comm-aurora debug test mozmill on 2013-07-23 07:31:00
revision: 72f71f835916
slave: talos-r4-lion-024

TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/test/build/mozmill/folder-widget/test-message-filters.js | test-message-filters.js::test_customize_toolbar_doesnt_double_get_mail_menu
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 111 Treeherder Robot 2013-07-23 09:12:23 PDT
Standard8
https://tbpl.mozilla.org/php/getParsedLog.php?id=25612722&tree=Thunderbird-Aurora
TB Rev4 MacOSX Lion 10.7 comm-aurora opt test mozmill on 2013-07-23 08:36:37
revision: 72f71f835916
slave: talos-r4-lion-088

TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/test/build/mozmill/folder-widget/test-message-filters.js | test-message-filters.js::test_customize_toolbar_doesnt_double_get_mail_menu
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 112 Treeherder Robot 2013-07-23 09:15:33 PDT
Standard8
https://tbpl.mozilla.org/php/getParsedLog.php?id=25612760&tree=Thunderbird-Aurora
TB Rev4 MacOSX Snow Leopard 10.6 comm-aurora opt test mozmill on 2013-07-23 08:36:14
revision: 72f71f835916
slave: talos-r4-snow-058

TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/test/build/mozmill/folder-widget/test-message-filters.js | test-message-filters.js::test_customize_toolbar_doesnt_double_get_mail_menu
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 113 Treeherder Robot 2013-07-23 09:15:43 PDT
Standard8
https://tbpl.mozilla.org/php/getParsedLog.php?id=25609786&tree=Thunderbird-Aurora
TB Rev4 MacOSX Snow Leopard 10.6 comm-aurora opt test mozmill on 2013-07-23 07:29:43
revision: 512db0e46549
slave: talos-r4-snow-057

TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/test/build/mozmill/folder-widget/test-message-filters.js | test-message-filters.js::test_customize_toolbar_doesnt_double_get_mail_menu
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 114 Treeherder Robot 2013-07-23 09:15:51 PDT
Standard8
https://tbpl.mozilla.org/php/getParsedLog.php?id=25608560&tree=Thunderbird-Aurora
TB Rev3 Fedora 12x64 comm-aurora debug test mozmill on 2013-07-23 06:14:15
revision: 512db0e46549
slave: talos-r3-fed64-046

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_move_message
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_delete_message
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_archive_message
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-widget/test-message-filters.js | test-message-filters.js::test_customize_toolbar_doesnt_double_get_mail_menu
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 115 Treeherder Robot 2013-07-23 10:01:40 PDT
Standard8
https://tbpl.mozilla.org/php/getParsedLog.php?id=25614039&tree=Thunderbird-Aurora
TB Rev3 Fedora 12x64 comm-aurora debug test mozmill on 2013-07-23 08:33:43
revision: 72f71f835916
slave: talos-r3-fed64-062

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_move_message
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_delete_message
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_archive_message
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-widget/test-message-filters.js | test-message-filters.js::test_customize_toolbar_doesnt_double_get_mail_menu
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 116 Treeherder Robot 2013-07-23 10:02:12 PDT
Standard8
https://tbpl.mozilla.org/php/getParsedLog.php?id=25614366&tree=Thunderbird-Trunk
TB Rev4 MacOSX Lion 10.7 comm-central debug test mozmill on 2013-07-23 08:38:20
revision: fc759fc258a3
slave: talos-r4-lion-085

TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/test/build/mozmill/folder-widget/test-message-filters.js | test-message-filters.js::test_customize_toolbar_doesnt_double_get_mail_menu
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 117 Treeherder Robot 2013-07-23 10:25:05 PDT
Standard8
https://tbpl.mozilla.org/php/getParsedLog.php?id=25615584&tree=Thunderbird-Trunk
TB Rev4 MacOSX Snow Leopard 10.6 comm-central opt test mozmill on 2013-07-23 09:37:06
revision: 453c0293dce1
slave: talos-r4-snow-072

TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/test/build/mozmill/folder-widget/test-message-filters.js | test-message-filters.js::test_customize_toolbar_doesnt_double_get_mail_menu
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 118 :aceman 2013-07-23 12:29:06 PDT
Ok, still need to refine the patch after the part of bug 889752 lands. Then I will request review.
Comment 119 Treeherder Robot 2013-07-23 23:27:31 PDT
Standard8
https://tbpl.mozilla.org/php/getParsedLog.php?id=25632660&tree=Thunderbird-Aurora
TB Rev4 MacOSX Lion 10.7 comm-aurora debug test mozmill on 2013-07-23 15:20:34
revision: 9b01cd6a5522
slave: talos-r4-lion-041

TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/test/build/mozmill/folder-widget/test-message-filters.js | test-message-filters.js::test_customize_toolbar_doesnt_double_get_mail_menu
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 120 Treeherder Robot 2013-07-24 01:04:07 PDT
Standard8
https://tbpl.mozilla.org/php/getParsedLog.php?id=25650582&tree=Thunderbird-Trunk
TB Rev4 MacOSX Snow Leopard 10.6 comm-central debug test mozmill on 2013-07-24 00:14:08
revision: dec0ccb9b636
slave: talos-r4-snow-026

TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/test/build/mozmill/folder-widget/test-message-filters.js | test-message-filters.js::test_customize_toolbar_doesnt_double_get_mail_menu
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 121 Treeherder Robot 2013-07-24 01:14:39 PDT
Standard8
https://tbpl.mozilla.org/php/getParsedLog.php?id=25650818&tree=Thunderbird-Trunk
TB Rev4 MacOSX Lion 10.7 comm-central debug test mozmill on 2013-07-24 00:14:13
revision: dec0ccb9b636
slave: talos-r4-lion-002

TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/test/build/mozmill/folder-widget/test-message-filters.js | test-message-filters.js::test_customize_toolbar_doesnt_double_get_mail_menu
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 122 Treeherder Robot 2013-07-24 01:23:40 PDT
Standard8
https://tbpl.mozilla.org/php/getParsedLog.php?id=25651109&tree=Thunderbird-Trunk
TB Rev4 MacOSX Lion 10.7 comm-central debug test mozmill on 2013-07-24 00:26:01
revision: 9e5b10914063
slave: talos-r4-lion-037

TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/test/build/mozmill/folder-widget/test-message-filters.js | test-message-filters.js::test_customize_toolbar_doesnt_double_get_mail_menu
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 123 Treeherder Robot 2013-07-24 01:25:41 PDT
Standard8
https://tbpl.mozilla.org/php/getParsedLog.php?id=25651517&tree=Thunderbird-Trunk
TB Rev4 MacOSX Snow Leopard 10.6 comm-central debug test mozmill on 2013-07-24 00:26:02
revision: 9e5b10914063
slave: talos-r4-snow-030

TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/test/build/mozmill/folder-widget/test-message-filters.js | test-message-filters.js::test_customize_toolbar_doesnt_double_get_mail_menu
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 124 Treeherder Robot 2013-07-24 02:30:29 PDT
aceman
https://tbpl.mozilla.org/php/getParsedLog.php?id=25651777&tree=Thunderbird-Trunk
TB Rev4 MacOSX Lion 10.7 comm-central opt test mozmill on 2013-07-24 01:10:00
revision: 9e5b10914063
slave: talos-r4-lion-020

TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/test/build/mozmill/folder-widget/test-message-filters.js | test-message-filters.js::test_customize_toolbar_doesnt_double_get_mail_menu
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 125 Treeherder Robot 2013-07-24 02:30:40 PDT
aceman
https://tbpl.mozilla.org/php/getParsedLog.php?id=25653435&tree=Thunderbird-Trunk
TB Rev3 Fedora 12x64 comm-central debug test mozmill on 2013-07-24 01:22:01
revision: 9e5b10914063
slave: talos-r3-fed64-051

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_move_message
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_delete_message
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_archive_message
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-widget/test-message-filters.js | test-message-filters.js::test_customize_toolbar_doesnt_double_get_mail_menu
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 126 Treeherder Robot 2013-07-24 02:31:11 PDT
aceman
https://tbpl.mozilla.org/php/getParsedLog.php?id=25651769&tree=Thunderbird-Trunk
TB Rev4 MacOSX Snow Leopard 10.6 comm-central opt test mozmill on 2013-07-24 01:10:02
revision: 9e5b10914063
slave: talos-r4-snow-031

TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/test/build/mozmill/folder-widget/test-message-filters.js | test-message-filters.js::test_customize_toolbar_doesnt_double_get_mail_menu
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 127 Treeherder Robot 2013-07-24 05:39:55 PDT
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=25660115&tree=Thunderbird-Trunk
TB Rev4 MacOSX Snow Leopard 10.6 comm-central opt test mozmill on 2013-07-24 05:05:11
revision: 9e5b10914063
slave: talos-r4-snow-028

TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/test/build/mozmill/folder-widget/test-message-filters.js | test-message-filters.js::test_customize_toolbar_doesnt_double_get_mail_menu
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 128 Treeherder Robot 2013-07-24 05:40:02 PDT
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=25660137&tree=Thunderbird-Trunk
TB Rev4 MacOSX Lion 10.7 comm-central opt test mozmill on 2013-07-24 05:05:28
revision: 9e5b10914063
slave: talos-r4-lion-038

TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/test/build/mozmill/folder-widget/test-message-filters.js | test-message-filters.js::test_customize_toolbar_doesnt_double_get_mail_menu
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 129 Treeherder Robot 2013-07-24 05:42:11 PDT
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=25651361&tree=Thunderbird-Trunk
TB Rev4 MacOSX Snow Leopard 10.6 comm-central opt test mozmill on 2013-07-24 00:59:22
revision: dec0ccb9b636
slave: talos-r4-snow-078

TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/test/build/mozmill/folder-widget/test-message-filters.js | test-message-filters.js::test_customize_toolbar_doesnt_double_get_mail_menu
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 130 Treeherder Robot 2013-07-24 07:45:27 PDT
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=25664986&tree=Thunderbird-Trunk
TB Rev4 MacOSX Lion 10.7 comm-central debug test mozmill on 2013-07-24 06:48:56
revision: 9e5b10914063
slave: talos-r4-lion-076

TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/test/build/mozmill/folder-widget/test-message-filters.js | test-message-filters.js::test_customize_toolbar_doesnt_double_get_mail_menu
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 131 Treeherder Robot 2013-07-24 08:25:23 PDT
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=25665953&tree=Thunderbird-Trunk
TB Rev4 MacOSX Lion 10.7 comm-central opt test mozmill on 2013-07-24 07:39:07
revision: 9e5b10914063
slave: talos-r4-lion-015

TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/test/build/mozmill/folder-widget/test-message-filters.js | test-message-filters.js::test_customize_toolbar_doesnt_double_get_mail_menu
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 132 Treeherder Robot 2013-07-24 08:35:55 PDT
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=25666945&tree=Thunderbird-Trunk
TB Rev3 Fedora 12x64 comm-central debug test mozmill on 2013-07-24 07:32:03
revision: 9e5b10914063
slave: talos-r3-fed64-057

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_move_message
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_delete_message
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_archive_message
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-widget/test-message-filters.js | test-message-filters.js::test_customize_toolbar_doesnt_double_get_mail_menu
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 133 Treeherder Robot 2013-07-25 06:01:06 PDT
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=25711443&tree=Thunderbird-Trunk
TB Rev3 Fedora 12 comm-central opt test mozmill on 2013-07-25 04:27:56
revision: 9e5b10914063
slave: talos-r3-fed-032

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_move_message
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_delete_message
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-display/test-recent-menu.js | test-recent-menu.js::test_archive_message
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/mozmill/folder-widget/test-message-filters.js | test-message-filters.js::test_customize_toolbar_doesnt_double_get_mail_menu
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 134 Treeherder Robot 2013-07-25 06:01:24 PDT
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=25713085&tree=Thunderbird-Trunk
TB Rev4 MacOSX Snow Leopard 10.6 comm-central opt test mozmill on 2013-07-25 05:16:04
revision: 9e5b10914063
slave: talos-r4-snow-060

TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/test/build/mozmill/folder-widget/test-message-filters.js | test-message-filters.js::test_customize_toolbar_doesnt_double_get_mail_menu
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 135 Treeherder Robot 2013-07-25 06:01:30 PDT
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=25713120&tree=Thunderbird-Trunk
TB Rev4 MacOSX Lion 10.7 comm-central opt test mozmill on 2013-07-25 05:17:45
revision: 9e5b10914063
slave: talos-r4-lion-086

TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/test/build/mozmill/folder-widget/test-message-filters.js | test-message-filters.js::test_customize_toolbar_doesnt_double_get_mail_menu
TEST-UNEXPECTED-FAIL | (runtestlist.py) | Exited with code 1 during directory run
Comment 136 Mark Banner (:standard8) 2013-07-25 08:49:22 PDT
aceman, any update? Thanks.
Comment 137 :aceman 2013-07-25 14:58:56 PDT
Yes, it is on the way.
Comment 138 :aceman 2013-07-25 15:04:12 PDT
Created attachment 781243 [details] [diff] [review]
fix for OS X v7

Can you try this?
Comment 139 Mark Banner (:standard8) 2013-07-25 15:17:40 PDT
Pushed it to try server here:

https://tbpl.mozilla.org/?tree=Thunderbird-Try&rev=a124d6dd28da
Comment 140 :aceman 2013-07-26 00:08:52 PDT
So looks like the changes in click_menus_in_sequence (needed for support of appmenu) broke more stuff than it fixed :( Good thing is I can see those failures locally too so can work on it. (They just got lost in the tons of failures a I get even with clean trunk.)
Comment 141 :aceman 2013-07-26 00:20:31 PDT
But on OS X (https://tbpl.mozilla.org/php/getParsedLog.php?id=25760518&tree=Thunderbird-Try#error25)
we got to the final test (test_customize_toolbar_doesnt_double_get_mail_menu test-message-filters.js 110) so the customize sheet closure now passed
and we got to the "Popup did not close! id=appmenu_getAllNewMsgPopup, state=open" error which you want to fix separately.
Comment 142 :aceman 2013-07-26 12:43:48 PDT
Created attachment 781874 [details] [diff] [review]
[backed out] fix for OS X v8

OK, this one should work better.
Comment 143 Mark Banner (:standard8) 2013-08-01 06:37:25 PDT
Comment on attachment 781874 [details] [diff] [review]
[backed out] fix for OS X v8

Review of attachment 781874 [details] [diff] [review]:
-----------------------------------------------------------------

Looks good, r=me.
Comment 144 :aceman 2013-08-01 06:43:35 PDT
Thanks.
Can you please file the new bug for the menu not closing on OS X?
I do not see it so I can't describe it.
Comment 145 Mark Banner (:standard8) 2013-08-01 07:50:19 PDT
Landed:

https://hg.mozilla.org/comm-central/rev/13c5e7a669b6

Also disabled the test on Mac:

https://hg.mozilla.org/comm-central/rev/456c95ec086b

The bug for the mac specific issue is bug 900499.
Comment 146 Mark Banner (:standard8) 2013-08-01 14:04:58 PDT
Comment on attachment 781874 [details] [diff] [review]
[backed out] fix for OS X v8

Unfortunately had to back this out due to introducing other test failures on Mac, that I didn't notice before:

Test Failure: Header columns didn't change width!  80 == 80
TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/test/build/mozmill/message-header/test-message-header.js | test-message-header.js::test_add_tag_with_really_long_label

https://tbpl.mozilla.org/php/getParsedLog.php?id=26034313&tree=Thunderbird-Trunk#error0

I suggest if we want to reland this, we handle it in another bug, as we've disabled the one that was affecting this.
Comment 147 :aceman 2013-08-02 00:11:02 PDT
(In reply to Mark Banner (:standard8) from comment #146)
> I suggest if we want to reland this, we handle it in another bug, as we've
> disabled the one that was affecting this.

Sorry, I do not understand what you mean here.
Comment 148 Mark Banner (:standard8) 2013-08-12 03:13:04 PDT
(In reply to :aceman from comment #147)
> (In reply to Mark Banner (:standard8) from comment #146)
> > I suggest if we want to reland this, we handle it in another bug, as we've
> > disabled the one that was affecting this.
> 
> Sorry, I do not understand what you mean here.

If we want to fix up and get the "fix for OS x v8" landed, then I think we should move that out to a different bug.

Note You need to log in before you can comment on or make changes to this bug.